> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile



## OpenAPI

````yaml /api-reference/openapi.fr.json put /flow/mcp/profiles/{profile_id}
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /flow/mcp/profiles/{profile_id}:
    put:
      tags:
        - flow-mcp
      summary: Update Profile
      operationId: update_profile_flow_mcp_profiles__profile_id__put
      parameters:
        - name: profile_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Profile Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FlowMcpProfileUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowMcpProfileResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    FlowMcpProfileUpdateRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: Name
        scopes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Scopes
        slug:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Slug
        remote_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Remote Enabled
        token:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Token
          description: Required when re-enabling remote_enabled after mirror was removed.
      type: object
      title: FlowMcpProfileUpdateRequest
    FlowMcpProfileResponse:
      properties:
        profile_id:
          type: string
          format: uuid
          title: Profile Id
        name:
          type: string
          title: Name
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        scopes:
          additionalProperties: true
          type: object
          title: Scopes
        remote_enabled:
          type: boolean
          title: Remote Enabled
        mcp_server_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Mcp Server Id
        remote_urls:
          anyOf:
            - $ref: '#/components/schemas/FlowMcpRemoteUrls'
            - type: 'null'
        instances:
          items:
            $ref: '#/components/schemas/FlowMcpInstanceSummary'
          type: array
          title: Instances
      type: object
      required:
        - profile_id
        - name
        - scopes
        - remote_enabled
      title: FlowMcpProfileResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlowMcpRemoteUrls:
      properties:
        sse:
          type: string
          title: Sse
        http:
          type: string
          title: Http
      type: object
      required:
        - sse
        - http
      title: FlowMcpRemoteUrls
    FlowMcpInstanceSummary:
      properties:
        instance_id:
          type: string
          format: uuid
          title: Instance Id
        device_id:
          type: string
          title: Device Id
        local_path:
          type: string
          title: Local Path
      type: object
      required:
        - instance_id
        - device_id
        - local_path
      title: FlowMcpInstanceSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/internal/v1/token

````